Bug 837850 - https publishing is broken after refactoring
https publishing is broken after refactoring
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 11:19 EDT by John Matthews
Modified: 2013-09-09 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:10:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2012-07-05 11:19:03 EDT
Description of problem:
https publishing of a sync repo is broken after refactoring to platform/rpm-support modules.

Version-Release number of selected component (if applicable):
0.0.310

How reproducible:
Always

Actual results:
[Thu Jul 05 11:13:35 2012] [error] [client 10.11.10.222] mod_wsgi (pid=7209): Exception occurred processing WSGI script '/srv/pulp/repo_auth.wsgi'.
[Thu Jul 05 11:13:35 2012] [error] [client 10.11.10.222] Traceback (most recent call last):
[Thu Jul 05 11:13:35 2012] [error] [client 10.11.10.222]   File "/srv/pulp/repo_auth.wsgi", line 13, in <module>
[Thu Jul 05 11:13:35 2012] [error] [client 10.11.10.222]     from pulp.repo_auth import oid_validation, identity_validation, auth_enabled_validation
[Thu Jul 05 11:13:35 2012] [error] [client 10.11.10.222] ImportError: No module named repo_auth
Comment 1 John Matthews 2012-07-05 11:20:17 EDT
Fix here:
http://git.fedorahosted.org/git/?p=pulp.git;a=commitdiff;h=f49ac8654a8949bd035fe9dcaa36cc63e9883f14


Just needed to update import statement
Comment 2 Jeff Ortel 2012-07-12 17:51:31 EDT
build: 0.313
Comment 3 Preethi Thomas 2012-07-25 10:33:20 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.318-1.el6.noarch
[root@preethi-el6-pulp ~]# 

both http and https publishing is working
http://preethi-el6-pulp.usersys.redhat.com/pulp/repos/repos/pulp/pulp/demo_repos/test_srpm_repo/
https://preethi-el6-pulp.usersys.redhat.com/pulp/repos/repos/pulp/pulp/demo_repos/test_srpm_repo/
Comment 4 Preethi Thomas 2013-01-07 09:10:12 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.